JobTaskAttemptFetchFailureEvent (Apache Hadoop MapReduce App 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.app.job.event, class: JobTaskAttemptFetchFailureEvent

Package org.apache.hadoop.mapreduce.v2.app.job.event

# Class JobTaskAttemptFetchFailureEvent

java.lang.Object
org.apache.hadoop.yarn.event.AbstractEvent<JobEventType>
org.apache.hadoop.mapreduce.v2.app.job.event.JobEvent
org.apache.hadoop.mapreduce.v2.app.job.event.JobTaskAttemptFetchFailureEvent

All Implemented Interfaces:
  `org.apache.hadoop.yarn.event.Event<JobEventType>`

public class JobTaskAttemptFetchFailureEvent extends JobEvent

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobTaskAttemptFetchFailureEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId reduce, List<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId> maps, String host)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHost()`
  `List<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId>`
  `getMaps()`
  `org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId`
  `getReduce()`

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.app.job.event.JobEvent

  `getJobId`

  ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

  `getTimestamp, getType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JobTaskAttemptFetchFailureEvent

    public JobTaskAttemptFetchFailureEvent(org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId reduce, List<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId> maps, String host)

- ## Method Details

  - ### getMaps

    public List<org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId> getMaps()

  - ### getReduce

    public org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId getReduce()

  - ### getHost

    public String getHost()